MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024862Open CASCADE[OCCT] OCCT:Codingpublic2014-04-21 15:272014-11-11 12:52
Reporterski 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024862: CLang warnings -Wint-to-pointer-cast
DescriptionCLang on Mac OS X 10.9 reports warning -Wint-to-pointer-cast:
TestTopOpeTools_Trace.cxx:164:10: warning: cast to 'void (*)(unsigned int)' from smaller integer type 'Standard_Integer' (aka 'int') [-Wint-to-pointer-cast]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0029407)
ski (developer)
2014-05-20 10:45

Warning was fixed.
Changes are located in branch CR24862.
Please, review.
(0029408)
abv (manager)
2014-05-20 10:55

No remarks, please test
(0029535)
apn (administrator)
2014-05-27 11:51

Dear BugMaster,

Branch CR24862 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 87e4596da388cf59d8f1d8d3ee8d65326428f9bc

Number of compiler warnings:

occt component :
Linux: 17 (17 on master)
Windows: 0 (0 on master)
MacOS: 201 (205 on master)
Warning in TestTopOpeTools_Trace.cxx:164 was fixed.

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355722712 / 357326856
Total CPU difference: 57068.24 / 56363.43999999993

Testing on Windows:
Total MEMORY difference: 379258784 / 379613888
Total CPU difference: 44002.484375 / 35503.203125

There are no differences in images found by testdiff.

- Related Changesets
occt: master 68bd84a5
Timestamp: 2014-05-19 12:06:26
Author: ski
Committer: apn
Details ] Diff ]
0024862: CLang warnings -Wint-to-pointer-cast

Warning is fixed.
mod - src/TestTopOpeTools/TestTopOpeTools_Trace.cxx Diff ] File ]
mod - src/TestTopOpeTools/TestTopOpeTools_Trace.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-21 15:27 ski New Issue
2014-04-21 15:27 ski Assigned To => ski
2014-04-21 15:28 ski Status new => assigned
2014-05-20 10:45 ski Note Added: 0029407
2014-05-20 10:45 ski Assigned To ski => abv
2014-05-20 10:45 ski Status assigned => resolved
2014-05-20 10:55 abv Note Added: 0029408
2014-05-20 10:55 abv Assigned To abv => bugmaster
2014-05-20 10:55 abv Status resolved => reviewed
2014-05-22 11:09 bugmaster Assigned To bugmaster => apn
2014-05-22 11:10 bugmaster Target Version => 6.8.0
2014-05-27 11:51 apn Note Added: 0029535
2014-05-27 11:52 apn Test case number => Not needed
2014-05-27 11:52 apn Assigned To apn => bugmaster
2014-05-27 11:52 apn Status reviewed => tested
2014-05-30 12:59 apn Changeset attached => occt master 68bd84a5
2014-05-30 12:59 apn Assigned To bugmaster => apn
2014-05-30 12:59 apn Status tested => verified
2014-05-30 12:59 apn Resolution open => fixed
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker